We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 4836 - Web error log floods with undefined index errors from Smarty templates
Web error log floods with undefined index errors from Smarty templates
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: General
2.3
PC Linux
: P5 enhancement
Assigned To: jerico
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-23 10:00 PDT by Alec Smecher
Modified: 2009-11-09 13:59 PST (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against PKP-WAL trunk (2.12 KB, patch)
2009-11-05 17:49 PST, jerico
Details | Diff
Patch against PKP WAL CVS (726 bytes, patch)
2009-11-09 13:44 PST, Matthew Crider
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2009-10-23 10:00:27 PDT
Web error log floods with undefined index errors from Smarty templates. This appears to have happened as a result of the new error handler code.
Comment 1 jerico 2009-10-27 07:08:03 PDT
I've looked a lot at the error handling code recently. So I'll probably be able to fix this quite easily.
Comment 2 jerico 2009-11-05 17:49:14 PST
Created attachment 2578 [details]
Patch against PKP-WAL trunk
Comment 3 jerico 2009-11-05 17:49:47 PST
Fixed.
Comment 4 Matthew Crider 2009-11-09 13:44:21 PST
Created attachment 2582 [details]
Patch against PKP WAL CVS

Florian, the call to 'if(defined(E_STRICT))' is failing in PHP4; I've wrapped it in quotes and committed the change.
Comment 5 jerico 2009-11-09 13:59:33 PST
Thanks Matt, it'll take some time until I know all the intricacies of PHP4. I still haven't found an easy way to use PHP4 / 5 in parallel without having to install an old (unmaintained) xampp. The PHP4 I have installed now is only CLI and doesn't work with MySQL 5.1...